fop 2.3

## org.apache.fop.pdf
Class PDFNavigator.Resolver

    java.lang.Object
      org.apache.fop.pdf.PDFNavigator.Resolver

Enclosing class:
  PDFNavigator

    public abstract static class PDFNavigator.Resolver

extends java.lang.Object

Constructor Summary
`PDFNavigator.Resolver(PDFNavigator navigator, java.lang.Object extension)`

Method Summary
`java.lang.Object` `getExtension()`
`PDFNavigator` `getNavigator()`
`protected void` `performResolution()`
`void` `resolve()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFNavigator.Resolver

    public PDFNavigator.Resolver(PDFNavigator navigator,
                                 java.lang.Object extension)

Method Detail

### getNavigator

    public PDFNavigator getNavigator()

### getExtension

    public java.lang.Object getExtension()

### resolve

    public void resolve()

### performResolution

    protected void performResolution()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.